Back to home page

Project CMSSW displayed by LXR

 
 

    


File indexing completed on 2021-02-14 14:14:47

0001 #!/bin/env bash
0002 
0003 function die { echo $1: status $2 ;  exit $2; }
0004 
0005 echo cmsRun test_shallowClustersProducer_cfg.py
0006 cmsRun test_shallowClustersProducer_cfg.py || die "Failure using test_shallowClustersProducer_cfg.py" $?
0007 echo cmsRun test_shallowDigisProducer_cfg.py
0008 cmsRun test_shallowDigisProducer_cfg.py || die "Failure using test_shallowDigisProducer_cfg.py" $?
0009 echo cmsRun test_shallowEventDataProducer_cfg.py
0010 cmsRun test_shallowEventDataProducer_cfg.py || die "Failure using test_shallowEventDataProducer_cfg.py" $?
0011 echo cmsRun test_shallowGainCalibration_cfg.py #SOLVED
0012 ## Looking for type: edm::AssociationMap<edm::OneToOne<std::vector<Trajectory>,std::vector<reco::Track>,unsigned short> >
0013 ## Looking for module label: generalTracks
0014 cmsRun test_shallowGainCalibration_cfg.py || die "Failure using test_shallowGainCalibration_cfg.py" $?
0015 
0016 echo cmsRun test_shallowRechitClustersProducer_cfg.py #SOLVED
0017 ## Looking for type: edmNew::DetSetVector<SiStripRecHit2D>
0018 ## Looking for module label: siStripMatchedRecHits
0019 cmsRun test_shallowRechitClustersProducer_cfg.py || die "Failure using test_shallowRechitClustersProducer_cfg.py" $?
0020 
0021 echo cmsRun test_shallowSimTracksProducer_cfg.py #fails due to missing product  
0022 cmsRun test_shallowSimTracksProducer_cfg.py || die "Failure using test_shallowSimTracksProducer_cfg.py" $?
0023 ## Looking for type: reco::TrackToTrackingParticleAssociator
0024 ## Looking for module label: trackAssociatorByHits
0025 
0026 echo cmsRun test_shallowSimhitClustersProducer_cfg.py #fails due to missing product  
0027 cmsRun test_shallowSimhitClustersProducer_cfg.py || die "Failure using test_shallowSimhitClustersProducer_cfg.py" $?
0028 ## Looking for type: std::vector<PSimHit>
0029 ## Looking for module label: g4SimHits
0030 
0031 echo cmsRun test_shallowTrackClustersProducer_cfg.py
0032 cmsRun test_shallowTrackClustersProducer_cfg.py || die "Failure using test_shallowTrackClustersProducer_cfg.py" $?
0033 
0034 echo cmsRun test_shallowTracksProducer_cfg.py
0035 cmsRun test_shallowTracksProducer_cfg.py || die "Failure using test_shallowTracksProducer_cfg.py" $?